

    -- Set defaults for all microcode driven control lines
    alu_mode <= ALU_NONE ;
    alu_source_a <= ALU_A_PC ;
    alu_source_b <= ALU_B_PGI ;
    alu_reverse_operands <= '0' ;

    mar_source <= PC_TO_MAR ;
    mdr_source <= MDR_UNCHANGED ;
    ir_source <= IR_UNCHANGED ;
    operand_value_source <= OV_UNCHANGED ;
    immediate_data_source <= IDR_UNCHANGED ;
    pc_source <= PC_UNCHANGED ;
    operand_address_source <= OA_UNCHANGED ;
    pgi_source <= PGI_ZERO ;

    reg_update_data_x <= '0' ;
    reg_update_address_x <= '0' ;
    reg_update_override_size <= '0' ;

    register_file_source_x <= RF_X_EA_REG ;
    register_file_source_y <= RF_Y_11_TO_9_FIELD ;

    ea_move_destination_control_set <= '0' ;
    ea_move_destination_control_clear <= '0' ;
    restore_pc_after_immediate_fetch_set <= '0' ;
    restore_pc_after_immediate_fetch_clear <= '0' ;

    operation_size_control <= UNCHANGED ;
    

    -- microcode internal control line
	call_state <= ( others => '0' ) ;


    button_clock_event_clear_2 <= '0' ;

