


#ifndef OPCODE_MAP_READER_H
#define OPCODE_MAP_READER_H

#include <set>

#include "ndfa_dag.h"



class Opcode_Map_Reader
{
public:
    Opcode_Map_Reader () { } ;
    virtual ~Opcode_Map_Reader () { } ;

    int Read_Opcode_Map ( const char * filename ) ;

    virtual Accept_State * New_Accept_State ( 
                const char * cmp_bit_pattern , 
                const char * opcode_name , 
                const char * dea , 
                const char * micro_sub_name , 
                const char * optimisation_info , 
                const char * comment ) { return 0L ; } ;

protected:
    NDFA_DAG       ndfa ;

private:

    void Add_Reject_EAs ( NDFA_DAG * ndfa , int offset ,
                const char * dea , bool move_destination_ea ) ;


} ;

#endif

